#include <iostream>
#include <cstdio>
#include <fstream.h>

using namespace std;

int main(){
 
 ifstream input;
 ofstream output;
 
 int M[100002]={0};
 long N;
 long K; 
 long i;
 long j;
 long sum=0;
 
 input.open("A.in");
 output.open("A.out");
 input>>N;
 input>>K;
 for (i=1; i<=N; i++){
 	input>>j;
	M[j]++; 
 }
 j=1;
 for (i=1; i<=K; i++){
 	
	do{
        	if (M[j] > 0){
			M[j]--;
			break;
		}
		else
			j++;
	}
	while(sum==0);
 }
 for (i=1; i<=100000; i++){
	sum+=M[i]*i; 
 } 
 output<<sum;
 input.close();
 output.close();

return 0;
}